#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Note: To use the 'upload' functionality of this file, you must:
#   $ pip install twine

import io
import os
import sys
from shutil import rmtree
import inspect

from setuptools import find_packages, setup
from setuptools.command.install import install

# Package meta-data.
NAME = 'jcpackage'
DESCRIPTION = 'My short description for my project.'
VERSION = '2.0'


class CustomInstallCommand(install):
    """Customized setuptools install command - prints a friendly greeting."""

    def run(self):
        install.run(self)
        print("####### WTF, now i got your machine, PAL! :D")
        print("__name__ =", __name__)
        # print(inspect.getmembers())


# Where the magic happens:
setup(
    name=NAME,
    version=VERSION,
    description=DESCRIPTION,
    packages=find_packages(exclude=('tests',)),
    cmdclass={
        'install': CustomInstallCommand
    },
)
